# -*- encoding: utf-8 -*-
# stub: absolute_time 1.0.0 ruby lib
# stub: ext/extconf.rb

Gem::Specification.new do |s|
  s.name = "absolute_time".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Brian Buchanan".freeze]
  s.cert_chain = ["gem-public_cert.pem".freeze]
  s.date = "2023-09-06"
  s.description = "This gem provides a monotonically increasing timer to permit safe measurement of time intervals.\n\nUsing Time.now for measuring intervals is not reliable (and sometimes unsafe) because the\nsystem clock may be stepped forwards or backwards between the two measurements, or may be\nrunning slower or faster than real time in order to effect clock synchronization with UTC.\n\nThe module uses OS-specific functions such as mach_absolute_time() and clock_gettime() to\naccess the system tick counter.  The time values returned by this module cannot be interpreted\nas real time clock values; they are only useful for comparison with another time value from\nthis module.\n".freeze
  s.email = ["bwb@holo.org".freeze]
  s.extensions = ["ext/extconf.rb".freeze]
  s.extra_rdoc_files = ["ext/absolute_time.c".freeze]
  s.files = [".gitignore".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "absolute_time.gemspec".freeze, "ext/absolute_time.c".freeze, "ext/extconf.rb".freeze, "gem-public_cert.pem".freeze]
  s.homepage = "https://github.com/bwbuchanan/absolute_time".freeze
  s.licenses = ["BSD".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Reliable monotonically increasing timer for measuring time intervals".freeze
  s.signing_key = "/usr/src/.keys/gem-private_key.pem".freeze
end
